### Method

# Tracker Batch add_rdf

since: 3.6

#### Declaration [src]

    void
    tracker_batch_add_rdf (
      TrackerBatch* batch,
      TrackerDeserializeFlags flags,
      TrackerRdfFormat format,
      const gchar* default_graph,
      GInputStream* stream
    )

#### Description [src]

Inserts the RDF data contained in `stream` as part of `batch`.

The RDF data will be inserted in the given `default_graph` if one is provided, or the anonymous graph if `default_graph` is `NULL`. Any RDF data that has a graph specified (e.g. using the `GRAPH` clause in the Trig format) will be inserted in the specified graph instead of `default_graph`.

The `flags` argument is reserved for future expansions, currently `TRACKER_DESERIALIZE_FLAGS_NONE` must be passed.

Available since: 3.6

#### Parameters

`flags`

  Type: `TrackerDeserializeFlags`

  Deserialization flags.

`format`

  Type: `TrackerRdfFormat`

  RDF format of data in stream.

`default_graph`

  Type: `const gchar*`

  Default graph that will receive the RDF data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`stream`

  Type: `GInputStream`

  Input stream with RDF data.

  The data is owned by the caller of the function.